#!/bin/sh -eu

curdir=`pwd`
rm -rf buildtmp
mkdir buildtmp
LDFLAGS=-static-libstdc++ meson buildtmp --buildtype=release --prefix=/tmp/sernatur --libdir=lib --strip
ninja -C buildtmp install
rm -rf buildtmp
cp README.md /tmp/sernatur
cp LICENSE /tmp/sernatur
cd /tmp/
tar czf sernatur.tar.gz sernatur
mv sernatur.tar.gz "$curdir"
rm -rf sernatur
